#include<iostream>
#include<cstdlib>
#include<math.h>
using namespace std;
int main()
{
	int  n, k=0, r=1, m, br=0;
	float rx[100], x[100], y[100], z;
	cin>>n;
	for(int i=0; i<n; i++)
	{
		cin>>x[i];
		cin>>y[i];
	}
	for(int i=0; i<n-1; i++)
	{
		
	for(int j=r;j<n; j++)
	{
		z=(x[i]-x[j])*(x[i]-x[j])+(y[i]-y[j])*(y[i]-y[j]);
		rx[k]=sqrt(z);
		k++;
	}
	r++;
    } 
    	r=1;
    for(int i=0; i<k-1; i++)
	{
	
	for(int j=r;j<k; j++)
	{
		if(rx[i]/rx[j]==2 || rx[i]/rx[j]==0.5)  br=1;
				
	}
	r++;
    }      
    cout<<br;
	return 0;
}